io.vertx.groovy.servicediscovery

## Class ServiceReference_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.servicediscovery.ServiceReference_GroovyExtension

-     public class ServiceReference_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceReference_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Object` | `cached(ServiceReference j_receiver)`
    `static <X> Object` | `cachedAs(ServiceReference j_receiver, Class<Object> x)`
    `static <T> Object` | `get(ServiceReference j_receiver)`
    `static <X> Object` | `getAs(ServiceReference j_receiver, Class<Object> x)`
    `static boolean` | `isHolding(ServiceReference j_receiver, Object object)`
    `static Map<String,Object>` | `record(ServiceReference j_receiver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceReference_GroovyExtension

          public ServiceReference_GroovyExtension()

  - ### Method Detail

    - #### record

          public static Map<String,Object> record(ServiceReference j_receiver)

    - #### get

          public static <T> Object get(ServiceReference j_receiver)

    - #### getAs

          public static <X> Object getAs(ServiceReference j_receiver,
                                         Class<Object> x)

    - #### cachedAs

          public static <X> Object cachedAs(ServiceReference j_receiver,
                                            Class<Object> x)

    - #### cached

          public static <T> Object cached(ServiceReference j_receiver)

    - #### isHolding

          public static boolean isHolding(ServiceReference j_receiver,
                                          Object object)

Copyright © 2017. All rights reserved.